LibreOffice: Controller Service Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
Controller Service Referencepublished

is an abstract service for a component which offers a deeper integration of desktop components than a com::sun::star::awt::XWindow can offer More...

`import <Controller.idl;`

Inheritance diagram for Controller:

## Exported Interfaces
interface | XController
| with this interface, components viewed in a Frame can serve events (by supplying dispatches)
interface | XDispatchProvider
| for certain functions which are useful at the UI
interface | com::sun::star::ui::XContextMenuInterception
| this interface enables the controller to get interceptors registered that change context menus or prevent them from being executed
interface | com::sun::star::awt::XUserInputInterception
| makes it possible to intercept keyboard and mouse input.
interface | com::sun::star::view::XSelectionSupplier
| makes it possible to access and change the selection in a view
interface | com::sun::star::datatransfer::XTransferableSupplier
| makes it possible to work with clipboard data

## Additional Inherited Members
Public Member Functions inherited from XController
void | attachFrame ([in] XFrame Frame)
| is called to attach the controller with its managing frame.
boolean | attachModel ([in] XModel Model)
| is called to attach the controller to a new model.
boolean | suspend ([in] boolean Suspend)
| is called to prepare the controller for closing the view
any | getViewData ()
| provides access to current view status
void | restoreViewData ([in] any Data)
| restores the view status using the data gotten from a previous call to XController::getViewData().
XModel | getModel ()
| provides access to currently attached model
XFrame | getFrame ()
| provides access to owner frame of this controller
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XDispatchProvider
XDispatch | queryDispatch ([in] com::sun::star::util::URL URL, [in] string TargetFrameName, [in] long SearchFlags)
| searches for an XDispatch for the specified URL within the specified target frame.
sequence< XDispatch > | queryDispatches ([in] sequence< DispatchDescriptor > Requests)
| actually this method is redundant to XDispatchProvider::queryDispatch() to avoid multiple remote calls.
Protected Member Functions inherited from XContextMenuInterception
void | registerContextMenuInterceptor ([in]XContextMenuInterceptor Interceptor)
| registers an XContextMenuInterceptor, which will become the first interceptor in the chain of registered interceptors.
void | releaseContextMenuInterceptor ([in]XContextMenuInterceptor Interceptor)
| removes an XContextMenuInterceptor which was previously registered using XContextMenuInterception::registerContextMenuInterceptor().
Protected Member Functions inherited from XUserInputInterception
void | addKeyHandler ([in] ::com::sun::star::awt::XKeyHandler xHandler)
| Add a new listener that is called on com::sun::star::awt::KeyEvent.
void | removeKeyHandler ([in] ::com::sun::star::awt::XKeyHandler xHandler)
| Remove the specified listener from the list of listeners.
void | addMouseClickHandler ([in] ::com::sun::star::awt::XMouseClickHandler xHandler)
| Add a new listener that is called on com::sun::star::awt::MouseEvent.
void | removeMouseClickHandler ([in] ::com::sun::star::awt::XMouseClickHandler xHandler)
| Remove the specified listener from the list of listeners.
Protected Member Functions inherited from XSelectionSupplier
boolean | select ([in] any xSelection) raises ( com::sun::star::lang::IllegalArgumentException )
| selects the object represented by xSelection if it is known and selectable in this object.
any | getSelection ()
void | addSelectionChangeListener ([in] com::sun::star::view::XSelectionChangeListener xListener)
| registers an event listener, which is called when the selection changes.
void | removeSelectionChangeListener ([in] com::sun::star::view::XSelectionChangeListener xListener)
| unregisters an event listener which was registered with XSelectionSupplier::addSelectionChangeListener().
Protected Member Functions inherited from XTransferableSupplier
XTransferable | getTransferable ()
| To get access to a transferable representation of a selected part of an object.
void | insertTransferable ([in] XTransferable xTrans) raises ( UnsupportedFlavorException )
| Hands over a transferable object that shall be inserted.

## Detailed Description

is an abstract service for a component which offers a deeper integration of desktop components than a com::sun::star::awt::XWindow can offer

Such components can be loaded into a Frame inside a Desktop environment. A controller is a richer component then a pure window, but full featured components need a XModel interface too.
(see service com::sun::star::document::OfficeDocument for further information)

See also
  com::sun::star::document::OfficeDocument

Developers Guide
  Office Development - Component - Controllers - Document Specific Controller Services
  Office Development - Component - Controllers - XController
  Text Documents - Text Document Controller
  Office Development - Controllers

## Exported Interfaces

## ◆ com::sun::star::awt::XUserInputInterception

interface com::sun::star::awt::XUserInputInterception
| optional

makes it possible to intercept keyboard and mouse input.

## ◆ com::sun::star::datatransfer::XTransferableSupplier

interface com::sun::star::datatransfer::XTransferableSupplier
| optional

makes it possible to work with clipboard data

## ◆ com::sun::star::ui::XContextMenuInterception

interface com::sun::star::ui::XContextMenuInterception
| optional

this interface enables the controller to get interceptors registered that change context menus or prevent them from being executed

Don't mix it with XDispatchProviderInterception which intercept calls of XDispatch::dispatch().

## ◆ com::sun::star::view::XSelectionSupplier

interface com::sun::star::view::XSelectionSupplier
| optional

makes it possible to access and change the selection in a view

## ◆ XController

interface XController

with this interface, components viewed in a Frame can serve events (by supplying dispatches)

## ◆ XDispatchProvider

interface XDispatchProvider

for certain functions which are useful at the UI

Mostly used by the Frame service, which contains this controller object. There will be an interception mechanism for dispatches available too.

See also
  XDispatch
  XDispatchProviderInterception

The documentation for this service was generated from the following file:

- com/sun/star/frame/Controller.idl